Share via


Accounts - Get

Returns account resource for a given name.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.GraphServices/accounts/{resourceName}?api-version=2023-04-13

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

The name of the resource.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AccountResource

Account details.

Other Status Codes

ErrorResponse

Error response describing the reason for operation failure.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get accounts

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testResourceGroupGRAM/providers/Microsoft.GraphServices/accounts/11111111-aaaa-1111-bbbb-111111111111?api-version=2023-04-13

Sample response

{
  "name": "11111111-aaaa-1111-bbbb-111111111111",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testResourceGroupGRAM/providers/Microsoft.GraphServices/accounts/11111111-aaaa-1111-bbbb-111111111111",
  "type": "Microsoft.GraphServices/accounts",
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "appId": "11111111-aaaa-1111-bbbb-111111111111"
  }
}

Definitions

Name Description
AccountResource

Account details

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Properties

Property bag from billing account

ProvisioningState

Provisioning state.

SystemData

Metadata pertaining to creation and last modification of the resource.

AccountResource

Account details

Name Type Description
id

string

Azure resource ID.

location

string

Location of the resource.

name

string

Azure resource name.

properties

Properties

Property bag from billing account

systemData

SystemData

Metadata pertaining to creation and last modification of the resource.

tags

object

resource tags.

type

string

Azure resource type.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Properties

Property bag from billing account

Name Type Description
appId

string

pattern: (^[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}?)$

Customer owned application ID

billingPlanId

string

pattern: (^[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}?)$

Billing Plan Id

provisioningState

ProvisioningState

Provisioning state.

ProvisioningState

Provisioning state.

Value Description
Succeeded
Failed
Canceled

SystemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedByType

createdByType

The type of identity that last modified the resource.